Update a SIM
Update the specified sim by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Request
POST/sims/{iccid}
Path parameters
iccidstringrequired
ICCID of the sim to update.
Body parameters
tagIdsstring arrayoptional
For postpaid SIM only. Replace all assigned tags to the sim. Provide the complete list of tag IDs that should be assigned to this SIM. To remove all tags, pass an empty array [].
Response
200 The sim is updated successfully
No response body is returned.
500 The sim is failed to update
No response body is returned.
Examples
Request
curl -X POST 'https://portal.peplink.com/api/e/v1/cp/sims/{iccid}' \ -H 'Authorization: Bearer {token}' \ -H 'Content-Type: application/json' \ --data-raw '{ "tagIds": ["tagid_1"]}'